@ECHO OFF
cls
@setlocal enableextensions
@cd /d "%~dp0"
:README
	ECHO.
	ECHO ******************************************************************************
	ECHO.
	ECHO		ManageEngine Desktop Central Remote Office Setup Wizard
	ECHO.
	ECHO This script will install the Desktop Central agent in this computer and in the computers specified in the computernames.txt.You should have logged in as an administrator to install the Agent.
	ECHO.
	ECHO ******************************************************************************
	ECHO.
	ECHO.
	ECHO  1  - Install WAN Agent to client computers
	ECHO.
	ECHO  2  - Install WAN Agent in this computer
	ECHO.  
	ECHO  3  - Exit
	ECHO.
	:GETINPUT
	set INPUT=
	set /P INPUT=Enter the option: %=%
	IF "%INPUT%" == "1" GOTO INSTALLWANAGENT
	IF "%INPUT%" == "2" GOTO INSTALLAGENT
	IF "%INPUT%" == "3" GOTO :EOF
	IF "%INPUT%" == "q" GOTO :EOF
	if "%INPUT%"=="" GOTO README	
		
GOTO INVALID

:INSTALLAGENT
	
	start /wait msiexec /i DesktopCentralAgent.msi TRANSFORMS="DesktopCentralAgent.mst" ENABLESILENT=yes REBOOT=ReallySuppress /lv Agentinstalllog.txt 
	
	IF "%ERRORLEVEL%" == "0" GOTO AGENTINSTALLSUCCESS
	IF "%ERRORLEVEL%" == "3010" GOTO AGENTINSTALLSUCCESS
	
GOTO AGENTINSTALLFAIL

:INSTALLWANAGENT
	
	ECHO.
	ECHO Please make sure you have logged in as admin user in this computer
	ECHO.
	start /B /wait dcremagentinstaller.exe "dssetup"
GOTO SEELOGS

:AGENTINSTALLSUCCESS
ECHO.
ECHO DesktopCentral Agent installed successfully.
ECHO.

GOTO GETINPUT

:AGENTINSTALLFAIL
ECHO.
ECHO -----------------------------------------------------------------------------
ECHO DesktopCentral Agent installation failed. ErrorCode: %ERRORLEVEL%
net helpmsg %ERRORLEVEL%
ECHO -----------------------------------------------------------------------------
GOTO ENDFILE


:SEELOGS
ECHO.
ECHO See the logs.txt to verify the status of the installation of the WAN Agents.

:ENDFILE
ECHO.
PAUSE